com.microfocus.awm.model.toolexecution

## Interface IMassProcessingToolContext

- All Superinterfaces:
    IDynamicObject, IToolContext
  All Known Implementing Classes:
    LegacyToolExecutorContext, MassProcessingToolContext

      public interface IMassProcessingToolContext
      extends IToolContext

  An extension of `IToolContext` containing sub-contexts for mass processing execution.

  Each sub-context represents one resource currently processed. Sub-contexts are created by selected elements in an AWM view.

  Whether a mass processing context is used is determined by the `Mass Processing` flag of an action executor and if the tool descriptor to be executed supports mass processing in general. It is not determined by the number of selected resources, meaning that a mass processing context can also be used to process only a single resource.

  Tool parameters which are defined as single processing (`Mass Processing=false`) only appear in the mass processing context itself (and not its sub-contexts), while mass processing parameters appear once for every processed resource in its corresponding sub-context.

  Author:
    Micro Focus

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IToolContext>` | `getSubContexts()` Returns the list of sub-contexts, representing the resources that are currently processed.

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IToolContext

      `getExecutionContext, getFunctionPackage, getInputParameters, getInputParameters, getModelObject, getOutputParameters, getOutputParameters`

    - ### Methods inherited from interface com.microfocus.awm.model.toolexecution.IDynamicObject

      `getAttributes, getAttributeValue, getComplexAttributes`

- - ### Method Detail

    - #### getSubContexts

          java.util.List<IToolContext> getSubContexts()

      Returns the list of sub-contexts, representing the resources that are currently processed.
      Returns:
        sub-contexts

Copyright © 2015 Micro Focus GmbH. All rights reserved.